<?php

namespace FiloBlu\Kpi\Helper;
use Zend\Log\Logger;
use Zend\Log\Writer\Stream;

/**
 * Class Data
 * @package FiloBlu\Kpi\Helper
 */
class Data
{
    /**
     * @var array
     */
    protected $loggers = [];

    /**
     * @param $filename
     * @return Logger
     */
    public function getLogger($filename)
    {
        if (isset($this->loggers[$filename])) {
            return $this->loggers[$filename];
        }

        $this->loggers[$filename] = new Logger();
        $this->loggers[$filename]->addWriter(new Stream(BP . "/var/log/{$filename}"));
        return $this->loggers[$filename];
    }

}
